(function($){
    'use strict';
    
    $(document).ready(function(){
        $('#ays-add-question').on('click', function(e){
            e.preventDefault();
            let count = $(document).find('.ays-border').length;
            $(".ays-block.collapse").removeAttr("class").attr("class","ays-block collapse");
            $(".ays-link").addClass("collapsed");
            let appendable = `
            <div class="ays-border">
                <div class="card-header">
                    <div class="row">
                        <div class="col-sm-1">
                            <a class="ays-link ays-move" title="Move question">
                                <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                            </a>
                        </div>
                        <div class="col-sm-9" data-toggle="collapse" href="#collapse_${count}">
                            <label class='ays_faq_label ays-for-change'>New question</label>
                        </div>
                        <div class="col-sm-1 ays-forcollaps"> 
                            <a class="ays-link" data-toggle="collapse" href="#collapse_${count}" title="Collapse question">
                            </a>
                        </div>
                        <div class="col-sm-1">
                            <a class="ays-link ays-delete-question" href="#" title="Delete question">
                                <i class="fa fa-trash fa-2x" aria-hidden="true"></i>
                            </a>
                        </div>
                    </div>
                </div>

                <div id="collapse_${count}" class="ays-block collapse show">
                  <div class="card-body">
                        <div class="ays_modal_element form-group row">
                            <div class="col-sm-2">
                                <label class='ays_faq_label ' for='ays-faq-quest-${count}'>Question</label>
                            </div>
                            <div class="col-sm-10">
                                <input type="text" class="ays-text-input form-control" id='ays-faq-quest-${count}' name='ays_faq_question[]' value=""/>
                            </div>
                        </div>
                        <div class="ays_modal_element form-group row">
                            <div class="col-sm-2">
                                <label class='ays_faq_label' for='ays-faq-answer-${count}'>Answer</label>
                            </div>
                            <div class="col-sm-10">
                                <textarea class="form-control" name='ays_faq_answer[]' id='ays-faq-answer-${count}' value=""></textarea>
                            </div>
                        </div>
                  </div>
                </div>
            </div>`;
            let main = $(document).find('#main');
            main.append(appendable);
        });
        
        $(document).on('click', ".ays-delete-question", function(e){
            e.preventDefault();
            $(this).parents(".ays-border").remove();
        });
        
        $(document).on('mousedown', ".ays-link.ays-move", function(e){
            $(".ays-block.collapse").removeAttr("class").attr("class","ays-block collapse");
            $(".ays-link").addClass("collapsed");
        });

        $("#main").sortable({
            handle: '.ays-move-questions',
			axis: 'y',
			opacity: 0.8,
            cursor: 'move'
        });
        
        $(document).on("input", ".ays-text-input", function(){
            $(this).parents(".ays-border").find('.ays-for-change').text($(this).val());
        });

        $('[data-toggle="tooltip"]').tooltip();
    });
}) (jQuery);