<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://ays-pro.com
 * @since      1.0.0
 *
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/admin/partials
 */
    $action = (isset($_GET['action']))?$_GET['action']:"";

    $id = ( isset( $_GET["faq"] ) ) ? intval( $_GET["faq"] ) : null;

    $faq = array(
        "title" => "Default title",
        "description" => "Default description",
        "questions" => '',
        "answers" => '',
        "style" => 'default_arrow'
    );
    switch($action){
        case "edit":
            $faq = $this->faqs_object->get_faq_by_id($id);
            $heading = __("Edit F.A.Q", $this->plugin_name);
            break;
        default:
            $heading = __("Add F.A.Q", $this->plugin_name);
    }

    if ( isset($_POST["ays-submit"]) || isset($_POST["ays-submit-top"]) ) {
        $_POST["id"] = $id;
        $this->faqs_object->add_or_edit_faqs($_POST);
    }
    if(isset($_POST["ays-apply"]) || isset($_POST["ays-apply-top"])){
        $_POST["id"] = $id;
        $_POST["submit_type"] = 'apply';
        $this->faqs_object->add_or_edit_faqs($_POST);
    }   
    $faq_question_array = explode('***', $faq['questions']);
    $faq_answer_array = explode('***', $faq['answers']);

?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">
    <form method="post">
        <h1 class="wp-heading-inline">
            <?php echo $heading; ?>
            <input type="submit" name="ays-submit-top" class="ays-submit action-button button-primary" value="<?php echo __("Save F.A.Q", $this->plugin_name);?>" >

            <?php if($id != null): ?>
                <input type="submit" name="ays-apply-top" class="ays-submit action-button button" value="<?php echo __("Apply F.A.Q", $this->plugin_name);?>" >
            <?php endif; ?>
        </h1>
        <div>
            <div class="ays_modal_element form-group row">
                <div class="col-sm-4">
                    <label class='ays_faq_label' for='ays-faq-title'><?php echo __('F.A.Q Title', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("In this field the name of F.A.Q is filled in", $this->plugin_name ); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label> 
                </div>
                <div class="col-sm-8">
                    <input type="text" class="ays-text-input form-control" id='ays-faq-title' name='ays_faq_title' value="<?php echo stripcslashes(htmlentities($faq['title']));?>"/>
                </div>
            </div>
        </div>
        <hr>
        <div>
            <div class="ays_modal_element form-group row">
                <div class="col-sm-4">
                    <label class='ays_faq_label' for='ays-faq-desc'><?php echo __('Description', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("In this field the description of F.A.Q is filled in", $this->plugin_name ); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-8">
                    <?php
                        $content = $faq["description"];
                        $editor_id = 'ays_faq_description';
                        $settings = array('editor_height'=>'250');
                        wp_editor( $content, $editor_id, $settings );
                    ?>
                </div>
            </div>
        </div>
        <hr>
        <div>
            <div class="ays_modal_element form-group row">
                <div class="col-sm-4">
                    <label class='ays_faq_label' for='ays-faq-style'><?php echo __('Style', $this->plugin_name); ?>
                        <a class="ays_help" data-toggle="tooltip" data-placement="top" title="<?php echo __("Select the design of F.A.Q", $this->plugin_name ); ?>">
                            <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <?php 
                        if($faq['style'] == false || $faq['style'] == ''){
                            $ays_faq_theme = 'default_arrow';
                        }else{
                            $ays_faq_theme = $faq['style'];
                        }
                    ?>
                <div class="col-sm-8">
                    <div class="for_themes">
                        <div class="ays_theme">
                            <label for='default_arrow'>
                                <span>Arrows</span>
                                <input id='default_arrow' type="radio" name="ays_faq_theme" value="default_arrow" <?php echo ($ays_faq_theme == 'default_arrow') ? 'checked' : ''; ?>>
                                <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme1.PNG"?>">
                            </label>
                        </div>
                        <div class="ays_theme">
                            <label for='plusminus'>
                                <span>Plus</span>
                                <input id='plusminus' type="radio" name="ays_faq_theme" value="plusminus" <?php echo ($ays_faq_theme == 'plusminus') ? 'checked' : ''; ?>>
                                <img src="<?php echo AYS_FAQ_ADMIN_URL . "/images/theme2.PNG"?>">
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <hr>
        <div class="ays_modal_element">
                <label class='ays_faq_label' for='ays-add-question'>Add question
                    <a id="ays-add-question" class="add-question btn btn-secondary btn-sm" title="Add question">
                        <i class="fa fa-plus fa-lg"></i>
                    </a>
                </label>
        </div>
        <div class="ays-main ui-sortable" id="main">
            <?php
                foreach($faq_question_array as $key => $question){
                    ?>
                    <div class="ays-border" id="question_block_<?php echo $key; ?>">
                        <div class="card-header">
                            <div class="row">
                                <div class="col-sm-1">
                                    <a class="ays-link ays-move" title="Move question">
                                        <i class="fa fa-arrows fa-2x ui-sortable-handle ays-move-questions"></i>
                                    </a>
                                </div>
                                <div class="col-sm-9"  data-toggle="collapse" href="#collapse_<?php echo $key; ?>">
                                        <label class='ays_faq_label ays-for-change'>
                                            <?php
                                                if($question == ""){
                                                    echo "No question";
                                                }else{
                                                    echo stripslashes(htmlentities($question)) ;
                                                }
                                            ?>
                                        </label>
                                    </div>
                                <div class="col-sm-1 ays-forcollaps">
                                    <a class="ays-link collapsed" data-toggle="collapse" href="#collapse_<?php echo $key; ?>" title="Collapse question"></a>
                                </div>
                                <div class="col-sm-1">
                                    <a class="ays-link ays-delete-question" href="#" title="Delete question">
                                        <i class="fa fa-trash fa-2x" aria-hidden="true"></i>
                                    </a>
                                </div>
                            </div>
                        </div>

                        <div id="collapse_<?php echo $key; ?>" class="ays-block collapse">
                          <div class="card-body">
                                <div class="ays_modal_element form-group row">
                                    <div class="col-sm-2">
                                        <label class='ays_faq_label' for='ays-faq-quest-<?php echo $key; ?>'><?php echo __('Question', $this->plugin_name); ?></label>
                                    </div>
                                    <div class="col-sm-10">
                                        <input type="text" class="ays-text-input form-control" id='ays-faq-quest-<?php echo $key; ?>' name='ays_faq_question[]' value="<?php echo stripcslashes(htmlentities($question)); ?>"/>
                                    </div>
                                </div>
                                <div class="ays_modal_element form-group row">
                                    <div class="col-sm-2">
                                        <label class='ays_faq_label' for='ays-faq-answer-<?php echo $key; ?>'><?php echo __('Answer', $this->plugin_name); ?></label>
                                    </div>
                                    <div class="col-sm-10">
                                        <textarea class="form-control" name='ays_faq_answer[]' id='ays-faq-answer-<?php echo $key; ?>'><?php echo stripcslashes(htmlentities($faq_answer_array[$key])); ?></textarea>
                                    </div>
                                </div>
                          </div>
                        </div>
                  </div>
            <?php
                }
            ?>
            
        </div>
        <hr>
        <?php
            wp_nonce_field('faq_action', 'faq_action');
        ?>
        <div class="ays_submit_button">
        	<input type="submit" name="ays-submit" class="ays-submit button-primary" value="<?php echo __("Save F.A.Q", $this->plugin_name);?>" />
            <?php if($id != null): ?>
        	<input type="submit" name="ays-apply" id="ays_submit_apply" class="ays-submit button" value="<?php echo __("Apply F.A.Q", $this->plugin_name);?>" />
            <?php endif; ?>
		</div>
    </form>

</div>