<?php
global $ays_faq_db_version;
$ays_faq_db_version = '1.0.3';
/**
 * Fired during plugin activation
 *
 * @link       https://ays-pro.com
 * @since      1.0.0
 *
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Faq_Builder_Ays
 * @subpackage Faq_Builder_Ays/includes
 * @author     F.A.Q Builder Team <info@ays-pro.com>
 */
class Faq_Builder_Ays_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        global $wpdb;
        global $ays_faq_db_version;
        $faq_table = $wpdb->prefix . 'ays_faqs';
        $installed_ver = get_option( "ays_faq_db_version" );
        
        if($installed_ver != $ays_faq_db_version) {
        
            $sql = "CREATE TABLE `".$faq_table."` (
                    `id`        	INT(16)     UNSIGNED NOT NULL AUTO_INCREMENT,
                    `title`     	TEXT        NOT NULL,
                    `description`   TEXT        NOT NULL,
                    `questions`     TEXT        NOT NULL,
                    `answers`       TEXT        NOT NULL,
                    `style`         TEXT        NOT NULL,
                    `options`       TEXT        NOT NULL,
                    PRIMARY KEY (`id`)
                )$charset_collate;";
            dbDelta( $sql );
            update_option('ays_faq_db_version', $ays_faq_db_version);
        }
	}

}
